export declare const DEFAULT_SERVICE_WORKER_URL = "/pushwoosh-service-worker.js";
export declare const DEFAULT_API_URL = "https://cp.pushwoosh.com/json/1.3/";
export declare const PERIOD_SEND_APP_OPEN = 3600000;
export declare const PERIOD_GOAL_EVENT = 86400000;
export declare const DEFAULT_NOTIFICATION_TITLE = "Pushwoosh notification";
export declare const DEFAULT_NOTIFICATION_IMAGE = "https://cp.pushwoosh.com/img/logo-medium.png";
export declare const KEY_SHOW_SUBSCRIBE_WIDGET = "WIDGET_SHOWED";
export declare const KEY_CLICK_SUBSCRIBE_WIDGET = "WIDGET_CLICKED";
export declare const KEY_DEVICE_REGISTRATION_STATUS: string;
export declare const KEY_SAFARI_PREVIOUS_PERMISSION = "safariPreviousPermission";
export declare const MANUAL_SET_LOGGER_LEVEL = "PW_SET_LOGGER_LEVEL";
export declare const DEVICE_REGISTRATION_STATUS_REGISTERED: string;
export declare const DEVICE_REGISTRATION_STATUS_UNREGISTERED: string;
export declare const PERMISSION_DENIED = "denied";
export declare const PERMISSION_GRANTED = "granted";
export declare const PERMISSION_PROMPT = "default";
export declare const LEGACY_EVENT_ON_LOAD = "onLoad";
export declare const LEGACY_EVENT_ON_READY = "onReady";
export declare const LEGACY_EVENT_ON_SUBSCRIBE = "onSubscribe";
export declare const LEGACY_EVENT_ON_UNSUBSCRIBE = "onUnsubscribe";
export declare const LEGACY_EVENT_ON_REGISTER = "onRegister";
export declare const LEGACY_EVENT_ON_PERMISSION_PROMPT = "onPermissionPrompt";
export declare const LEGACY_EVENT_ON_PERMISSION_DENIED = "onPermissionDenied";
export declare const LEGACY_EVENT_ON_PERMISSION_GRANTED = "onPermissionGranted";
export declare const LEGACY_EVENT_ON_SW_INIT_ERROR = "onSWInitError";
export declare const LEGACY_EVENT_ON_PUSH_DELIVERY = "onPushDelivery";
export declare const LEGACY_EVENT_ON_NOTIFICATION_CLICK = "onNotificationClick";
export declare const LEGACY_EVENT_ON_NOTIFICATION_CLOSE = "onNotificationClose";
export declare const LEGACY_EVENT_ON_CHANGE_COMMUNICATION_ENABLED = "onChangeCommunicationEnabled";
export declare const LEGACY_EVENT_ON_PUT_NEW_MESSAGE_TO_INBOX_STORE = "onPutNewMessageToInboxStore";
export declare const LEGACY_EVENT_ON_UPDATE_INBOX_MESSAGES = "onUpdateInboxMessages";
export declare const LEGACY_EVENT_ON_SHOW_NOTIFICATION_PERMISSION_DIALOG = "onShowNotificationPermissionDialog";
export declare const LEGACY_EVENT_ON_HIDE_NOTIFICATION_PERMISSION_DIALOG = "onHideNotificationPermissionDialog";
export declare const LEGACY_EVENT_ON_SHOW_SUBSCRIPTION_WIDGET = "onShowSubscriptionWidget";
export declare const LEGACY_EVENT_ON_HIDE_SUBSCRIPTION_WIDGET = "onHideSubscriptionWidget";
export declare const EVENT_SHOW_SUBSCRIBE_BUTTON = "showSubscribeButton";
export declare const EVENT_CLICK_SUBSCRIBE_BUTTON = "clickSubscribeButton";
export declare const EVENT_GDPR_CONSENT = "GDPRConsent";
export declare const EVENT_GDPR_DELETE = "GDPRDelete";
export declare const EVENT_PW_SITE_OPENED = "PW_SiteOpened";
export declare const PAGE_VISITED_URL = "PAGE_VISITED_URL";
