import { type TLoggerLevelSilent, type TLoggerLevelFatal, type TLoggerLevelError, type TLoggerLevelWarn, type TLoggerLevelInfo, type TLoggerLevelDebug } from './Logger.types';
export declare const LOGGER_LEVEL_SILENT: TLoggerLevelSilent;
export declare const LOGGER_LEVEL_FATAL: TLoggerLevelFatal;
export declare const LOGGER_LEVEL_ERROR: TLoggerLevelError;
export declare const LOGGER_LEVEL_WARN: TLoggerLevelWarn;
export declare const LOGGER_LEVEL_INFO: TLoggerLevelInfo;
export declare const LOGGER_LEVEL_DEBUG: TLoggerLevelDebug;
export declare const LOGGER_LEVEL_VALUE_SILENT = 0;
export declare const LOGGER_LEVEL_VALUE_FATAL = 10;
export declare const LOGGER_LEVEL_VALUE_ERROR = 20;
export declare const LOGGER_LEVEL_VALUE_WARN = 30;
export declare const LOGGER_LEVEL_VALUE_INFO = 40;
export declare const LOGGER_LEVEL_VALUE_DEBUG = 50;
export declare const loggerRelationsMap: {
    silent: number;
    fatal: number;
    error: number;
    warn: number;
    info: number;
    debug: number;
};
