export default class DateModule {
    private _date;
    constructor(date?: Date);
    set date(date: Date);
    get date(): Date;
    /**
     * Timestamp in UTC without milliseconds
     */
    getUtcTimestamp(): number;
    /**
     * Current date timestamp without milliseconds
     */
    getTimestamp(): number;
    /**
     * Set date to local timezone
     */
    setLocal(): void;
    /**
     * Add days to current date
     * @param days
     */
    addDays(days: number): void;
    /**
     * Get inbox fake order
     */
    getInboxFakeOrder(): string;
}
