import DateModule from '../../DateModule';
import { type TMigrationsObjectType, type TMigrationType } from '../Storage.types';
export default class Migrations {
    migrations: TMigrationsObjectType;
    dateModule: DateModule;
    constructor(dateModule?: DateModule);
    /**
     * Initial migration pack
     */
    get initial(): Array<TMigrationType>;
    /**
     * Return array of migrations packs sorted by date
     */
    get dateSorted(): Array<Array<TMigrationType>>;
}
