import { type TBellPosition, type TPositionStyles } from './subscribe_widget.types';
export default class Positioning {
    static getBellPosition(position: TBellPosition, indent: string): TPositionStyles;
    static getTooltipPosition(bellPosition: TBellPosition, bellSize: string): [{
        left: string;
    } | {
        right: string;
    }, string];
    static getPopoverPosition(bellPosition: TBellPosition, bellSize: string): [TPositionStyles, string];
    static getPopoverArrowPosition(bellPosition: TBellPosition, bellSize: string): string;
}
