import { type EventBus } from '../core/modules/EventBus';
import { type TPWCanWaitCallback } from '../core/Pushwoosh.types';
import { type Api } from '../modules/Api/Api';
import { type Data } from '../modules/Data/Data';
export default class WorkerPushwooshGlobal {
    readonly eventBus: EventBus;
    readonly api: Api;
    readonly data: Data;
    constructor(eventBus: EventBus, data: Data, api: Api);
    _listeners: {
        [key: string]: TPWCanWaitCallback[];
    };
    push(f: ['onPush', TPWCanWaitCallback]): void;
    getListeners(eventName: string): TPWCanWaitCallback[];
    initApi(): Promise<void>;
}
