import { Logger } from './pwlogger';
type TLogMessage = {
    message: string;
    code: string;
    error: any;
    [key: string]: any;
};
declare const logger: Logger;
declare function sendFatalLogToRemoteServer(params: TLogMessage): Promise<void>;
declare function sendErrorLogToRemoteServer(params: TLogMessage): Promise<void>;
export { logger, sendFatalLogToRemoteServer, sendErrorLogToRemoteServer, };
