import Migrations from './Migrations';
import { type TMigrationType } from '../Storage.types';
export default class MigrationExecutor {
    db: IDBDatabase;
    migrationsBuilder: Migrations;
    constructor(db: IDBDatabase, migrationsBuilder?: Migrations);
    applyMigrations(): void;
    applyMigrationsPack(migrationsPack: Array<TMigrationType>): void;
}
