import { type ISubscribePopupVariables } from './types/subscribe-popup';
import { type Pushwoosh } from '../../core/Pushwoosh';
export declare class PWSubscribePopupWidget {
    pw: Pushwoosh;
    config: ISubscribePopupVariables;
    popup: HTMLElement;
    isShown: boolean;
    constructor(pw: Pushwoosh);
    run(): Promise<void>;
    toggle(isShown?: boolean): void;
    show(): Promise<void>;
    hide(): void;
    renderPopup(): void;
    appendStyles(): void;
    private getStyleFormatter;
    configureStyle(styles: string): string;
    addListeners(): void;
    onAskLaterClick(): void;
    onSubscribeClick(): void;
}
