import { type ISubscriptionPromptWidgetParams } from './SubscriptionPromptWidget.types';
import { type Pushwoosh } from '../../core/Pushwoosh';
export declare class PWSubscriptionPromptWidget {
    private readonly pw;
    constructor(pw: Pushwoosh);
    run(): Promise<void>;
    init(params: ISubscriptionPromptWidgetParams): void;
    show(): void;
    hide(): void;
    private getRootElement;
    private getRootElementWithCheckExist;
    private getDeclineButtonWithCheckExist;
    private getAcceptButtonWithCheckExist;
    private addEventListeners;
}
